This question about : Answered

BerkeleyDB won't compile in strawberry or cygwin

<jkern3>Ahem. I cannot get DBCache to install because it seems to require BerkeleyDB, but I can't get version .38, .37 or .36 to compile in either Strawberry perl or cygwin. Any recommendations?

<gac410>Googling around I did see a reference to a strawberry version of berkleydb - http://strawberryperl.com/package/BerkeleyDB-0.34-vanilla.tar.gz

<jkern3>Berkeley 34 vanilla has the same problem. First of many, many error messages is "db.h: No such file or directory" "#error: db.h is not for Berkeley DB at all,". There is a bug report in the CPAN notes for the 0.38 version. I'm not the only one with the problem.


Sounds an awful lot like a Strawberry Perl / BerkelyDB support question - ie, if you goto irc.perl.org and join #win32, ping Alias and see how you go - He's extremely helpful, and everyone that uses perl on windows owes him a beer or three - so say hi smile

-- SvenDowideit - 15 Mar 2009

DBCache still supports Storable - though I confess I haven't tested it without also having BerkeleyDB installed. Other than that, Sven is right, best to ping the Strawberry folks with this one.

-- CrawfordCurrie - 15 Mar 2009

QuestionForm edit

Subject
Extension DBCachePlugin
Version
Status Answered
Topic revision: r3 - 15 Mar 2009, CrawfordCurrie - This page was cached on 17 Sep 2019 - 06:26.

The copyright of the content on this website is held by the contributing authors, except where stated elsewhere. See Copyright Statement. Creative Commons License    Legal Imprint    Privacy Policy